Add a rate period
curl --request POST \
--url https://api.synci.io/api/v1/finance/accounts/{accountId}/loan/rate-periods \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"effective_from": "2023-11-07T05:31:56Z",
"annual_rate": 50
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({effective_from: '2023-11-07T05:31:56Z', annual_rate: 50})
};
fetch('https://api.synci.io/api/v1/finance/accounts/{accountId}/loan/rate-periods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.synci.io/api/v1/finance/accounts/{accountId}/loan/rate-periods"
payload = {
"effective_from": "2023-11-07T05:31:56Z",
"annual_rate": 50
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synci.io/api/v1/finance/accounts/{accountId}/loan/rate-periods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'effective_from' => '2023-11-07T05:31:56Z',
'annual_rate' => 50
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.synci.io/api/v1/finance/accounts/{accountId}/loan/rate-periods"
payload := strings.NewReader("{\n \"effective_from\": \"2023-11-07T05:31:56Z\",\n \"annual_rate\": 50\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "Rate period added.",
"data": {
"kind": "<string>",
"repayment_type": "<string>",
"fee_per_payment": 123,
"day_count": "<string>",
"current_rate": 123,
"rate_periods": "<string>",
"anchor_balance": 123,
"anchor_date": "<string>",
"balance_verified_at": "<string>",
"paying_financial_account_id": "<string>",
"schedule": {
"amount": 123,
"day_of_month": "<string>"
},
"last_regular_payment_amount": 123,
"expected_payment_day": "<string>",
"payment_change": {
"booking_date": "<string>",
"previous_amount": 123,
"amount": 123,
"detected_at": "<string>"
},
"next_payment_date": "<string>",
"months_remaining_estimate": 123,
"original_amount": 123,
"start_date": "<string>",
"term_months": "<string>",
"last_accrual_date": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Add a rate period
A new annual rate from a date onward. The date must be on or after the loan’s last accrual date; interest from that date is recomputed. Settles a pending payment-change question dated on or before it.
POST
/
finance
/
accounts
/
{accountId}
/
loan
/
rate-periods
Add a rate period
curl --request POST \
--url https://api.synci.io/api/v1/finance/accounts/{accountId}/loan/rate-periods \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"effective_from": "2023-11-07T05:31:56Z",
"annual_rate": 50
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({effective_from: '2023-11-07T05:31:56Z', annual_rate: 50})
};
fetch('https://api.synci.io/api/v1/finance/accounts/{accountId}/loan/rate-periods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.synci.io/api/v1/finance/accounts/{accountId}/loan/rate-periods"
payload = {
"effective_from": "2023-11-07T05:31:56Z",
"annual_rate": 50
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synci.io/api/v1/finance/accounts/{accountId}/loan/rate-periods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'effective_from' => '2023-11-07T05:31:56Z',
'annual_rate' => 50
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.synci.io/api/v1/finance/accounts/{accountId}/loan/rate-periods"
payload := strings.NewReader("{\n \"effective_from\": \"2023-11-07T05:31:56Z\",\n \"annual_rate\": 50\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "Rate period added.",
"data": {
"kind": "<string>",
"repayment_type": "<string>",
"fee_per_payment": 123,
"day_count": "<string>",
"current_rate": 123,
"rate_periods": "<string>",
"anchor_balance": 123,
"anchor_date": "<string>",
"balance_verified_at": "<string>",
"paying_financial_account_id": "<string>",
"schedule": {
"amount": 123,
"day_of_month": "<string>"
},
"last_regular_payment_amount": 123,
"expected_payment_day": "<string>",
"payment_change": {
"booking_date": "<string>",
"previous_amount": 123,
"amount": 123,
"detected_at": "<string>"
},
"next_payment_date": "<string>",
"months_remaining_estimate": 123,
"original_amount": 123,
"start_date": "<string>",
"term_months": "<string>",
"last_accrual_date": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Authorizations
oauth2http
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The financial account ID
Body
application/json